package com.persagy.server.labsl.services.pic

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.labsl.models.entities.pic.Picture
import com.persagy.service.SObjectService
import java.util.*

/**
 *
 * @author  wx
 * @date  2020/9/9 16:28
 */
object PictureService :  SObjectService<Picture>(SMybatisDao(Picture::class.java)) {

    override fun onCreateBefore(entity: Picture): Boolean {
        entity.id = UUID.randomUUID().toString().replace("-","")
        return super.onCreateBefore(entity)
    } // Fun


} // Object PictureService